Stdio.h functions
Evil

This header provides functions ported from Unix in stdio.h. More...

## Functions

EVIL_API int | evil_rename (const char *src, const char *dst)
| Emulate the rename() function on Windows.
EVIL_API int | evil_mkdir (const char *dirname, mode_t mode)
| Wrap the _mkdir() function on Windows.

## Detailed Description

This header provides functions ported from Unix in stdio.h.

## Function Documentation

## evil_rename()

EVIL_API int evil_rename | ( | const char * | src,
|  | const char * | dst )

Emulate the rename() function on Windows.

Parameters

  src | The old pathname.
  dst | The new pathname.

Returns
  0 on success, -1 otherwise.

This function emulates the POSIX rename() function on Windows. The difference with the POSIX function is that the rename() function on windows fails if the destination exists.

Since
  1.8

## evil_mkdir()

EVIL_API int evil_mkdir | ( | const char * | dirname,
|  | mode_t | mode )

Wrap the _mkdir() function on Windows.

Parameters

  [in] | dirname | The new dir name.
  [in] | mode | Unused.

Returns
  0 on success, -1 otherwise.

This function wraps the _mkdir() function.

Since
  1.15